{% extends "base/base.html" %}
{% block content %}


<!-- Dark table -->
<div class="row mt-5">
    <div class="col">
        <div class="card bg-default shadow">
            <div class="card-header bg-transparent border-0">
                <div class="row">
                    <div class="col-md-6">
                        <h3 class="text-white mb-0">Card tables</h3>
                    </div>

                    <div class="col-md-6">
                        <div class="text-center" style="margin-top: -30px;">
                            <a  class="btn btn-primary mt-4 center-button" href="/users/new">Nuevo</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table align-items-center table-dark table-flush">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">Usuario</th>
                        <th scope="col">Email</th>
                        <th scope="col">Tipo De Documento</th>
                        <th scope="col">Documento</th>
                        <th scope="col"></th>
                    </tr>
                    </thead>
                    <tbody>

                    {% for user in users %}
                    <tr>
                        <th scope="row">
                            <div class="media align-items-center">
                                <a href="#" class="avatar rounded-circle mr-3">
                                    <img alt="Image placeholder" {% if user.gender == 'F' %} src="/assets/img/theme/profile1.png" {% else %} src="/assets/img/theme/profile2.png" {% endif %}>
                                </a>
                                <div class="media-body">
                                    <span class="mb-0 text-sm">{{user.firstname}} {{user.lastname}}</span>
                                </div>
                            </div>
                        </th>
                        <td>
                            {{user.email}}
                        </td>
                        <td>
                            {{ user.documentType }}
                        </td>
                        <td>
                            {{user.document}}
                        </td>
                        <td class="text-right">
                            <div class="dropdown">
                                <a class="btn btn-sm btn-icon-only text-light" href="#" role="button"
                                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-ellipsis-v"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">
                                    <a class="dropdown-item" href="/users/update/{{user._id}}">Actualizar</a>
                                    <a class="dropdown-item" href="/users/delete/{{user._id}}">Eliminar</a>
                                    <a class="dropdown-item" href="/users/profile/{{user._id}}">Ver</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                    {% endfor %}


                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
</div>
{% endblock %}